# broken evms workaround
# convert bootdev partition to evms device if it exists...

# /dev/sda5 -> /dev/evms/sda5
# /dev/disk/by-id/scsi-SATA_ST3250820AS_5QE2FCJP-part5 -> /dev/evms/sda5
# /dev/sda -> ""
evms_protection(){
  local dev="$1"
  [ -n "$dev" ] || return
  local uuid="$(blkid -s UUID $dev)"
  uuid="${uuid##*UUID=}"

  for d in $(blkid -t UUID=$uuid | cut -d ' ' -f1); do
    if [ -z "${d##*/evms/*}" ]; then
      echo ${d%%:*}
      return
    fi
  done
}
